Tenant invitations
Tenant invitations are used to invite a user to join a tenant. Once created, invitations cannot be updated, and they automatically expire 30 days after creation.
Upon creation, an invitation notification is sent to the user via email, and users can either accept or decline the invitation. If accepted, the user is added to the tenant with the specified role.
Tenant invitation object
{
"id": "019f1a96-8ad4-7e6d-a764-bf9f485a378e",
"email": "test@example.com",
"tenant": "01988bb8-1cfb-7c87-9326-93op0349288e",
"role": "01988bb8-1ebb-7b70-a378-03ce6e9c0faa",
"expires_at": "2026-07-30 22:11:41",
"created_at": "2026-06-30 22:11:41",
"updated_at": null
}
Fields
- idrequired readonly stringUnique ID of the record.
- emailrequired stringEmail address of the user being invited.
- tenantrequired readonly stringUnique ID of the tenant.
- rolerequired stringUnique ID of the role the user will be assigned to if they accept the invitation.
- expires_atreadonly required stringUTC timestamp of when the invitation expires. Invitations automatically expire 30 days after creation.
- created_atrequired readonly stringUTC timestamp of when the record was created.
- updated_atnullable readonly stringUTC timestamp of when the record was last updated.
Create a tenant invitation
POST /tenants/{tenantId}/invitations
The request body must include a tenant invitation object.
Required permissions
tenant_invitations:create tenant_roles:read
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 201 | Created | Successfully created | Tenant invitation object |
| 400 | Bad Request | Invalid or missing field(s) | Error object |
| 404 | Not Found | Tenant not found | Error object |
| 409 | Conflict | Invitation already exists with this email address | Error object |
List tenant invitations
GET /tenants/{tenantId}/invitations
Required permissions
tenant_invitations:read tenant_roles:read
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 200 | OK | An associative array of tenant invitation objects | |
| 400 | Bad Request | Invalid parameters in the request query | Error object |
| 404 | Not Found | Tenant not found | Error object |
Read a tenant invitation
GET /tenants/{tenantId}/invitations/{id}
Required permissions
tenant_invitations:read tenant_roles:read
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 200 | OK | Tenant invitation object | |
| 400 | Bad Request | Invalid parameters in the request query | Error object |
| 404 | Not Found | Tenant or attendance ID not found | Error object |
Delete a tenant invitation
DELETE /tenants/{tenantId}/invitations/{id}
Required permissions
tenant_invitations:delete
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 204 | No content | Successfully deleted | |
| 404 | Not Found | Tenant ID not found | Error object |
Was this page helpful?